#!/bin/bash

echo -en "set output \"rtt-throughput-nomw.eps\"\n" >> tmp.gnuplot
echo "plot \"data/5_nomw_rtt-remote-rxdata-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"total\" w l ls 1, \
    \"data/5_nomw_rtt-remote-rxdata-from-0-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"Flow 1\" w l ls 2, \
    \"data/5_nomw_rtt-remote-rxdata-from-1-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"Flow 2\" w l ls 3, \
    \"data/5_nomw_rtt-remote-rxdata-from-2-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"Flow 3\" w l ls 4, \
    \"data/5_nomw_rtt-remote-rxdata-from-3-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"Flow 4\" w l ls 5, \
    \"data/5_nomw_rtt-remote-rxdata-from-4-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"Flow 5\" w l ls 6" >> tmp.gnuplot

cat throughput.gnuplot tmp.gnuplot | gnuplot
rm -f tmp.gnuplot

echo -en "set output \"rtt-throughput-mw.eps\"\n" >> tmp.gnuplot
echo "plot \"data/5_mw_rtt-remote-rxdata-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"total\" w l ls 1, \
    \"data/5_mw_rtt-remote-rxdata-from-0-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"Flow 1\" w l ls 2, \
    \"data/5_mw_rtt-remote-rxdata-from-1-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"Flow 2\" w l ls 3, \
    \"data/5_mw_rtt-remote-rxdata-from-2-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"Flow 3\" w l ls 4, \
    \"data/5_mw_rtt-remote-rxdata-from-3-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"Flow 4\" w l ls 5, \
    \"data/5_mw_rtt-remote-rxdata-from-4-throughput.rtp\" u 1:(\$2*8/1e6):(1.0) title \"Flow 5\" w l ls 6" >> tmp.gnuplot

cat throughput.gnuplot tmp.gnuplot | gnuplot
rm -f tmp.gnuplot
