#!/bin/bash

echo -en "set output \"queue_stat_scala.eps\"\n" >> tmp.gnuplot

echo -en "set xrange [-0.5:6.5]\n" >> tmp.gnuplot
echo -en "set xtics (\"2\" 0, \"4\" 1, \"8\" 2, \"16\" 3, \"32\" 4, \"64\" 5, \"128\" 6)\n" >> tmp.gnuplot 
echo "plot \"data/queue-nomw.rtp\" u (\$3/1e3):(\$3/1e3):(\$2/1e3) title \"Without C^{2}ML+\"  ls 1, \
    \"data/queue-mw.rtp\" u (\$3/1e3):(\$3/1e3):(\$2/1e3) title \"With C^{2}ML+\" ls 2" >> tmp.gnuplot

#echo -en "\n" >> tmp.gnuplot
#echo -en "set output \"queue_stat_scala-32-128.eps\"\n" >> tmp.gnuplot
#echo -en "set xtics (\"32\" 0, \"64\" 1, \"128\" 2)\n" >> tmp.gnuplot
#echo "plot \"< tail -3 data/queue-nomw.rtp\" u (\$3/1e3):(\$3/1e3):(\$2/1e3) title \"Without C^{2}ML+\"  ls 1, \
#    \"< tail -3 data/queue-mw.rtp\" u (\$3/1e3):(\$3/1e3):(\$2/1e3) title \"With C^{2}ML+\" ls 2" >> tmp.gnuplot

cat queue_scala.gnuplot tmp.gnuplot | gnuplot
rm -f tmp.gnuplot

