#!/bin/bash

smooth="w l"

echo -en "set output \"ex-icc-perflow-throughput-nomw.eps\"\n" >> tmp.gnuplot
echo "plot \"data/10_nomw_exicc-throughput-from-1.rtp\" u 1:(\$2*8/1e6):(100.0) title \"HighSpeed\" $smooth ls 1, \
    \"data/10_nomw_exicc-throughput-from-3.rtp\" u 1:(\$2*8/1e6):(100.0) title \"Hybla\" $smooth ls 2, \
    \"data/10_nomw_exicc-throughput-from-5.rtp\" u 1:(\$2*8/1e6):(100.0) title \"Cubic\" $smooth ls 3, \
    \"data/10_nomw_exicc-throughput-from-7.rtp\" u 1:(\$2*8/1e6):(100.0) title \"Westwood\" $smooth ls 4, \
    \"data/10_nomw_exicc-throughput-from-9.rtp\" u 1:(\$2*8/1e6):(100.0) title \"Noordwijk\" $smooth ls 5" >> tmp.gnuplot

echo -en "set output \"ex-icc-perflow-throughput-mw.eps\"\n" >> tmp.gnuplot
echo "plot \"data/10_mw_exicc-throughput-from-1.rtp\" u 1:(\$2*8/1e6):(2.0) title \"HighSpeed\" $smooth ls 1, \
    \"data/10_mw_exicc-throughput-from-3.rtp\" u 1:(\$2*8/1e6):(2.0) title \"Hybla\" $smooth ls 2, \
    \"data/10_mw_exicc-throughput-from-5.rtp\" u 1:(\$2*8/1e6):(2.0) title \"Cubic\" $smooth ls 3, \
    \"data/10_mw_exicc-throughput-from-7.rtp\" u 1:(\$2*8/1e6):(2.0) title \"Westwood\" $smooth ls 4, \
    \"data/10_mw_exicc-throughput-from-9.rtp\" u 1:(\$2*8/1e6):(2.0) title \"Noordwijk\" $smooth ls 5" >> tmp.gnuplot


cat perflow_throughput.gnuplot tmp.gnuplot | gnuplot
rm -f tmp.gnuplot

echo -en "set output \"ex-icc-perflow-throughput-bad-nomw.eps\"\n" >> tmp.gnuplot
echo "plot \"data/10_nomw_exicc-throughput-from-0.rtp\" u 1:(\$2*8/1e6):(100.0) title \"HighSpeed\" $smooth ls 1, \
    \"data/10_nomw_exicc-throughput-from-2.rtp\" u 1:(\$2*8/1e6):(100.0) title \"Hybla\" $smooth ls 2, \
    \"data/10_nomw_exicc-throughput-from-4.rtp\" u 1:(\$2*8/1e6):(100.0) title \"Cubic\" $smooth ls 3, \
    \"data/10_nomw_exicc-throughput-from-6.rtp\" u 1:(\$2*8/1e6):(100.0) title \"Westwood\" $smooth ls 4, \
    \"data/10_nomw_exicc-throughput-from-8.rtp\" u 1:(\$2*8/1e6):(100.0) title \"Noordwijk\" $smooth ls 5" >> tmp.gnuplot

echo -en "set output \"ex-icc-perflow-throughput-bad-mw.eps\"\n" >> tmp.gnuplot
echo "plot \"data/10_mw_exicc-throughput-from-0.rtp\" u 1:(\$2*8/1e6):(2.0) title \"HighSpeed\" $smooth ls 1, \
    \"data/10_mw_exicc-throughput-from-2.rtp\" u 1:(\$2*8/1e6):(2.0) title \"Hybla\" $smooth ls 2, \
    \"data/10_mw_exicc-throughput-from-4.rtp\" u 1:(\$2*8/1e6):(2.0) title \"Cubic\" $smooth ls 3, \
    \"data/10_mw_exicc-throughput-from-6.rtp\" u 1:(\$2*8/1e6):(2.0) title \"Westwood\" $smooth ls 4, \
    \"data/10_mw_exicc-throughput-from-8.rtp\" u 1:(\$2*8/1e6):(2.0) title \"Noordwijk\" $smooth ls 5" >> tmp.gnuplot

cat perflow_throughput.gnuplot tmp.gnuplot | gnuplot
rm -f tmp.gnuplot

